/*
 * @Descripttion: sql 接口路径
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-11-09 11:22:08
 * @LastEditors: 无尘
 * @LastEditTime: 2020-11-16 14:21:40
 */
import getFetch from './get-fetch';

let api = {
  getProjectList: '/list-project', // 获取项目列表,
  getTableList: '/list-table', // 获取表列表,
  getSqlList: '/list-sql', // 获取 sql 列表,
  addSqlIndex: {
    url: '/perfect-sql-index', // 添加索引
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  setPerfect: {
    url: '/sql-perfect-need', // 完善开关
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  setStatus: {
    url: '/sql-online', // 上线开关
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  exportData: {
    url: '/exportList', // 导出
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  getAccountList: '/trial-list', // 获取试用账号列表
  setAccountStatus: {
    url: '/trial-end', // 结束试用
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  getEnterpriseList: '/wx-enterprise-list', // 获取企业列表数据
  saveAccount: {
    url: '/trial-add', // 保存账号
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  getAccountDetail: '/trial-detail', // 获取账号详情
};

api = getFetch(api, '/hb-manage-operation-web');

export default api;
